lexicographical_compare.hpp File Reference

Forward declares `boost::hana::lexicographical_compare`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::lexicographical_compare

Short-circuiting lexicographical comparison of two `Iterable`s with an optional custom predicate, by default `hana::less`.Given two `Iterable`s `xs` and `ys` and a binary predicate `pred`, `lexicographical_compare` returns whether `xs` is to be considered less than `ys` in a lexicographical ordering. Specifically, let's denote the linearizations of `xs` and `ys` by `[x1, x2, ...]` and `[y1, y2, ...]`, respectively. If the first couple satisfying the predicate is of the form `xi, yi`, `lexicographical_compare` returns true. Otherwise, if the first couple to satisfy the predicate is of the form `yi, xi`, `lexicographical_compare` returns false. If no such couple can be found, `lexicographical_compare` returns whether `xs` has fewer elements than `ys`. More...

## Detailed Description

Forward declares `boost::hana::lexicographical_compare`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)